<template>
    <div class="create-request">
        <div class="container">
            <div class="create-request__form">
                <ul class="create-request-form__list">
                    <li>Товар</li>
                    <li>Фото</li>
                    <li>Доставка</li>
                    <li>Цена</li>
                    <li>Подтверждение</li>
                </ul>
                <div class="create-request__form-wrapper">

                    <div class="create-request__form__product-category">

                        <el-row>
                            <span>Выбрать файл</span>
                        </el-row>

                        <el-row type="flex">
                            <el-col>
                                <el-button type="danger">Из галереи</el-button>
                                <el-button type="info">Загрузить</el-button>
                            </el-col>
                        </el-row>

                        <el-row>

                            <el-upload
                                    class="avatar-uploader"
                                    action="https://jsonplaceholder.typicode.com/posts/"
                                    :auto-upload = "false"
                                    :show-file-list="false"
                                    :on-success="handleAvatarSuccess"
                                    :before-upload="beforeAvatarUpload">
                                <img v-if="imageUrl" :src="imageUrl" class="avatar">
                                <i v-else class="el-icon-picture avatar-uploader-icon"></i>
                            </el-upload>

                        </el-row>


                    </div>

                </div>

                <el-row :gutter="20">

                    <el-col :span="4">
                        <el-button type="info" round>назад</el-button>
                    </el-col>

                    <el-col :span="4" :offset="16">
                        <el-button type="danger" round>Далее</el-button>
                    </el-col>


                </el-row>

            </div>
        </div>
    </div>

</template>

<style lang="scss">


</style>